import javax.swing.*;

class fb implements f_x
{ public double func(double x)
   { return x*x-5.0;}}

public class H9Ex3b {
public static void main(String args[])
{  double x=1.0;
   String s="x ="+x+"\n derivative df/dx = "+numerical.derivative(new fb(),x);
   String s1=" indirect referencing and interface example :";
   JOptionPane.showMessageDialog(null,s,s1,JOptionPane.PLAIN_MESSAGE);
}
}
